# $Revision: 1.565 $, $Date: 2012/01/15 01:25:54 $
#
# Conditional build:
%bcond_without	static		# don't build static version
%bcond_without	athena		# don't build Athena Widgets-based gvim
%bcond_without	motif		# don't build Motif-based gvim
%bcond_without	gtk		# don't build GTK+-based gvim support
%bcond_without	gnome		# don't build GNOME-based gvim support
%bcond_without	heavy		# don't build heavy (full-featured GNOME-based gvim/vim)
%bcond_without	gui		# don't build any GUI
%bcond_with	perl		# with Perl interp in vim package
%bcond_with	python		# with Python interp in vim package
%bcond_with	ruby		# with Ruby interp in vim package
%bcond_with	tcl		# with Tcl interp
%bcond_without	selinux		# without selinux support
%bcond_without	home_etc	# without home_etc support

%if %{without gui}
%undefine	with_athena
%undefine	with_motif
%undefine	with_gtk
%undefine	with_gnome
%endif

# Command to check for latest patch:
# curl -s ftp://ftp.vim.org/pub/editors/vim/patches/7.3/MD5SUMS | grep -vF .gz | tail -n1 | awk '{print $2}'

%define		ver		7.3
%define		patchlevel	401
%define		rel		1
Summary:	Vi IMproved - a Vi clone
Summary(de.UTF-8):	VIsual editor iMproved
Summary(es.UTF-8):	Editor visual incrementado
Summary(fr.UTF-8):	Editeur VIM : VIsual editor iMproved
Summary(hu.UTF-8):	Vi IMproved - a Vi szerkesztő bővítése
Summary(pl.UTF-8):	Vi IMproved - klon edytora Vi
Summary(pt_BR.UTF-8):	Editor visual incrementado
Summary(ru.UTF-8):	Visual editor IMproved - Единственно Правильный Редактор :)
Summary(tr.UTF-8):	Gelişmiş bir vi sürümü
Summary(uk.UTF-8):	Visual editor IMproved - Єдино Вірний Редактор :)
Name:		vim
Version:	%{ver}.%{patchlevel}
Release:	%{rel}
Epoch:		4
License:	Charityware
Group:		Applications/Editors/Vim
Source0:	ftp://ftp.vim.org/pub/vim/unix/%{name}-%{ver}.tar.bz2
# Source0-md5:	5b9510a17074e2b37d8bb38ae09edbf2
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	bc4d1e115ca506ad7751b9bd2b773a7f
Source2:	http://skawina.eu.org/mikolaj/usr_doc_pl.zip
# Source2-md5:	ff96284b1c913d55cf0877839b34d490
Source10:	g%{name}-athena.desktop
Source11:	g%{name}-motif.desktop
Source12:	g%{name}-gtk.desktop
Source13:	g%{name}-gnome.desktop
Source14:	%{name}.desktop
# syntax files
# http://www.vim.org/scripts/script.php?script_id=1491 (0.7.5)
Source20:	javascript.vim
# http://www.vim.org/scripts/script.php?script_id=447 (20040206)
Source22:	exim.vim
# http://www.vim.org/scripts/script.php?script_id=1571 (0.9.7)
Source23:	php.vim
# color schemes
# http://www.vim.org/scripts/script.php?script_id=415 (1.15)
Source30:	zenburn.vim
# http://www.vim.org/scripts/script.php?script_id=92 (1.0)
Source31:	borland.vim
# http://www.vim.org/scripts/script.php?script_id=368 (1.2.5)
Source32:	oceandeep.vim
# http://www.vim.org/scripts/script.php?script_id=1464 (2.6.3)
Source33:	moria.vim
%patchset_source -f ftp://ftp.vim.org/pub/editors/vim/patches/7.3/7.3.%03g 1 %{patchlevel}
Patch0:		%{name}-sysconfdir.patch
Patch1:		%{name}-visual.patch
Patch2:		%{name}-paths.patch
Patch3:		%{name}-no_libelf.patch
Patch4:		%{name}-egrep.patch
Patch5:		%{name}-awk.patch
Patch6:		%{name}-filetype_vim-perl_tests.patch
Patch7:		%{name}-apache.patch
Patch8:		%{name}-po-syntax.patch
Patch9:		%{name}-modprobe.patch
Patch10:	%{name}-doubleparenthesis.patch
Patch11:	%{name}-syntax-fstab.patch
Patch12:	010_all_%{name}-6.3-vixie.patch
Patch13:	013_all_%{name}-7.0-cron-vars-79981.patch
Patch14:	020_all_%{name}-7.0-fstab-tmpfs-size.patch
Patch15:	021_all_%{name}-7.0-fstab-bogus-errors.patch
Patch16:	024_all_%{name}-6.3-bash-83565.patch
Patch17:	027_all_%{name}-7.0-automake-substitutions-93378.patch
Patch18:	%{name}-smarty.patch
Patch19:	%{name}-tutor-lessdeps.patch
Patch20:	%{name}-nagios.patch
Patch21:	%{name}-filetypes.patch
Patch22:	%{name}-man_installation.patch
Patch23:	%{name}-vimrc.patch
Patch24:	%{name}-syntax-exports.patch
Patch25:	%{name}-syntax-sshconfig.patch
Patch102:	%{name}-gtkfilechooser.patch
Patch104:	%{name}-home_etc.patch
Patch105:	%{name}-autopaste.patch
Patch106:	%{name}-ft-cron.patch
Patch108:	%{name}-phpscript.patch
Patch109:	%{name}-pam.patch
Patch110:	%{name}-ft-bash.patch
Patch112:	%{name}-localedir.patch
Patch113:	%{name}-locales.patch
Patch114:	%{name}-rtdir.patch
Patch115:	%{name}-ft-mib.patch
Patch116:	%{name}-ft-lib-udevrules.patch
Patch117:	%{name}-ft-mysql.patch
URL:		http://www.vim.org/
BuildRequires:	acl-devel
BuildRequires:	autoconf
BuildRequires:	gettext-devel
BuildRequires:	gpm-devel
%if "%{pld_release}" == "ac"
%{?with_athena:BuildRequires:	XFree86-devel}
%else
%{?with_athena:BuildRequires:	xorg-lib-libXaw-devel}
%endif
%if %{with gtk} || %{with heavy}
BuildRequires:	gtk+2-devel >= 2:2.6.0
%endif
%{?with_gnome:BuildRequires:	libgnomeui-devel >= 2.2.0.1}
%if %{with selinux} || %{with heavy}
BuildRequires:	libselinux-devel
%endif
BuildRequires:	ncurses-devel
%{?with_motif:BuildRequires:	openmotif-devel}
BuildRequires:	pkgconfig
%if %{with perl} || %{with heavy}
BuildRequires:	perl-devel
%endif
%if %{with python} || %{with heavy}
BuildRequires:	python-devel
%endif
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.426
%if %{with ruby} || %{with heavy}
BuildRequires:	ruby-devel
%endif
%if %{with tcl} || %{with heavy}
BuildRequires:	tcl-devel
%endif
Obsoletes:	kvim
%if %{with static}
BuildRequires:	acl-static
BuildRequires:	attr-static
BuildRequires:	glibc-static
%{?with_selinux:BuildRequires:	libselinux-static}
BuildRequires:	ncurses-static
%else
Provides:	%{name}-static = %{epoch}:%{version}-%{release}
Obsoletes:	elvis-static
Obsoletes:	nvi
Obsoletes:	vi
Obsoletes:	vim-minimal
Obsoletes:	vim-static
%endif
BuildRequires:	unzip
Requires:	%{name}-rt = %{epoch}:%{version}-%{release}
Provides:	vi-editor
Provides:	vi
Provides:	vim-editor = %{epoch}:%{version}-%{release}
Obsoletes:	vim-enhanced
Obsoletes:	vim-ispell
Obsoletes:	vim-plugin-multvals
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# configure redefines it to =1
%define		filterout_cpp	-D_FORTIFY_SOURCE=[0-9]*

# that's example script
%define		_noautoreq	'/bin/csh'

# cflags get changed while configuring
%undefine	configure_cache

%description
Text editor similar to Vi. Important improvements: multiple windows,
multi-level undo, block highliting, folding, and many other.

%description -l cs.UTF-8
VIM je nový a vylepšený editor vycházející z klasického editoru vi. Vi
byl prvním celoobrazovkovým editorem pro Unix a je stále velmi
populární. VIM je obohacený funkcemi jako: podpora více oken,
víceúrovňové undo, zvýrazňování bloků a řadu dalších užitečných
funkcí.

%description -l de.UTF-8
Der Visual-Editor iMproved ist ein aktualisierter und erweiterter Klon
des vi-Editors, der mit praktisch allen UN*X-Systemen ausgeliefert
wird. Er bringt mehrere Fenster, mehrstufige Widerrufen-Funktion,
Block-Markierung und viele weitere Zusatzfunktionen im Vergleich zum
Standard-vi-Programm.

%description -l es.UTF-8
El editor Visual Mejorado es una versión actualizada y con nuevas
características adicionales del mundialmente famoso 'vi' que acompaña
prácticamente todos los sistemas UN*X. Posibilita trabajar con
múltiples ventanas, varios niveles de deshacer, bloques enfatizados, y
otras muchas características del 'vi'.

%description -l fr.UTF-8
L'éditeur VIsuel aMélioré est un clone mis à jour et doté de
caractéristiques supplémentaires de l'éditeur « vi » fourni avec
pratiquement tous les systèmes UN*X. Il ajoute les fenêtres
mutltiples, l'annulation a plusieurs niveaux, la mise en évidence des
blocs et autres caractéristiques au vi de base.

%description -l hu.UTF-8
A Vi-hez hasonló texteditor. Néhány fontos bővítés: ablakkezelés,
többszintű undo, blokk kiemelés, kódrészletek összecsukása, és még sok
más...

%description -l id.UTF-8
VIM (VIsual editor iMproved) adalah versi vi editor yang sudah
diupdate dan ditambah kemampuannya. Vi adalah editor untuk UNIX yang
pertama yang menggunakan layar, dan sekarang masih sangat populer. VIM
mengembangkan vi dengan menambah kemampuan baru seperti: multiple
windows, multi-level undo, block highlighting, dll.

%description -l is.UTF-8
VIM (VIsual editor iMproved) er uppfærð og endurbætt útgáfa af vi
ritlinum. Vi var fyrsti skjá-ritillinn fyrir UNIX og er enn mjög
vinsæll. VIM gerist föðurbetrungur með nýjum möguleikum líkt og
gluggakerfi, iðrun og yfirbót (e: multi-level undo), blokkarvali og
fleira.

%description -l it.UTF-8
VIM (Vi IMproved) è una versione aggiornata e perfezionata dell'editor
vi. Vi è stato il primo editor per UNIX realmente basato su video ed è
ancora molto diffuso. VIM perfeziona vi aggiungendo nuove funzioni:
finestre multiple, funzione \"annulla\" multilivello, evidenziazione
dei blocchi e altro.

%description -l pl.UTF-8
Edytor tekstu podobny do Vi. Ważne ulepszenia: możliwość pracy w wielu
oknach, wielopoziomowa opcja 'cofnij', bloki, podświetlanie składni,
folding i wiele innych.

%description -l pt.UTF-8
O VIM (VIsual editor iMproved) é uma versão melhorada e actualizada do
editor vi. O vi foi o primeiro verdadeiro editor baseado em ecrã para
o UNIX, e ainda é muito popular. O VIM melhora o vi acrescentando
novas potencialidades: janelas múltiplas, anulação multi-nível, realce
de blocos e mais.

%description -l pt_BR.UTF-8
O editor Vim (Vi Enhanced) é um versão atualizada e com novas
características do mundialmente famoso 'vi' que acompanha praticamente
todos os sistemas UN*X. Ele possibilita trabalhar com múltiplas
janelas, vários níveis de desfazer, blocos enfatizados, e muitas
outras características do 'vi'.

%description -l ru.UTF-8
VIsual editor iMproved - это обновленный и значительно улучшенный клон
редактора vi, который поставляется практически со всеми
UN*X-системами. В этой версии есть многоуровневый откат, выделение
блоков, синтаксическая подсветка и много другого...

%description -l sk.UTF-8
VIM (VIsual editor iMproved) je novšia a vylepšená verzia editoru vi.
Vi bol prvým skutočne obrazovkovo orientovaným editorom pre UNIX a
stále je veľmi populárny. VIM má oproti vi vylepšenia ako: prácu s
viacerými oknami, viacnásobné undo, zvýrazňovanie blokov textu a iné.

%description -l sv.UTF-8
VIM (Vi IMproved) är en uppdaterad och förbättrad version av
redigeraren vi. Vi var den första riktiga skärmbaserade redigeraren
till UNIX, och är fortfarande väldigt populär. VIM förbättrar vi med
nya finesser: flera fönster, flernivå ångra, blockmarkering och mer
ändå.

%description -l tr.UTF-8
Standart vi metin düzenleyicisinin gelişmiş hali; daha fazla komut,
birden fazla pencere desteği ve blok işaretleme yetenekleri içerir.

%description -l uk.UTF-8
VIsual editor iMproved - це оновлений та значно поліпшений клон
редактора vi, який поставляється практично зі всіма UN*X-системами. В
цій версії є багаторівневий відкат, виділення блоків, синтаксична
підсвітка та багато іншого...

%package -n xxd
Summary:	Utility to convert files to hexdump or do the reverse
Summary(pl.UTF-8):	Narzędzie do zamiany plików na postać szesnastkową i odwrotnie
Group:		Applications/Editors/Vim

%description -n xxd
xxd creates a hex dump of a given file or standard input. It can also
convert a hex dump back to its original binary form. Like uuencode and
uudecode it allows the transmission of binary data in a `mail-safe'
ASCII representation, but has the advantage of decoding to standard
output. Moreover, it can be used to perform binary file patching.

%description -n xxd -l pl.UTF-8
xxd tworzy szesnastkowy zapis pliku podanego na standardowe wejście.
Może także przekonwertować taki zapis na oryginalną, binarną postać.
Podobnie jak uuencode i uudecode pozwala na przesyłanie danych
binarnych w postaci ASCII, ale ma możliwość dekodowania na standardowe
wyjście. Co więcej, może być użyty do modyfikowania plików binarnych.

%package heavy
Summary:	Full featured build of Vim
Summary(hu.UTF-8):	A Vim teljeskörű szolgáltatásait nyújtó verzió
Summary(pl.UTF-8):	W pełni funkcjonalna wersja Vima
Group:		Applications/Editors/Vim
Requires:	%{name}-rt = %{epoch}:%{version}-%{release}
Provides:	vi-editor
Provides:	vi
Provides:	vim-editor = %{epoch}:%{version}-%{release}
Obsoletes:	vim-enhanced
Obsoletes:	vim-ispell
Obsoletes:	vim-plugin-multvals

%description heavy
This package provides full featured version of Vim, which includes
support for Perl, Python, Ruby and Tcl scripting.

%description heavy -l hu.UTF-8
Ez a csomag a Vim teljeskörű szolgáltatásait nyújtó verzióját
tartalmazza, amelyben benne van a Perl, Python, Ruby és Tcl támogatás.

%description heavy -l pl.UTF-8
Pakiet ten dostarcza w pełni funkcjonalną wersję Vima, czyli
zawierającą obsługę skryptów w językach Perl, Python, Ruby oraz Tcl.

%package static
Summary:	Statically linked Vim
Summary(hu.UTF-8):	A Vim statikus verziója
Summary(pl.UTF-8):	Statycznie skonsolidowany Vim
Group:		Applications/Editors/Vim
Provides:	vi-editor
Provides:	vi
Provides:	vim-editor = %{epoch}:%{version}-%{release}
Obsoletes:	elvis-static
Obsoletes:	nvi
Obsoletes:	vim-minimal

%description static
Text editor similar to Vi. This version is built with minimal feature
and is installed in /bin as a rescue tool. The installation of this
package is STRONGLY recommended.

%description static -l hu.UTF-8
Vi-hez hasonló text editor. Ez a verzió a legminimálisabb
szolgáltatásokat nyújtja, és a /bin könyvtárba települ, mint egy mentő
eszköz. Ennek a csomagnak a telepítése ERŐSEN javallott.

%description static -l pl.UTF-8
Edytor tekstu podobny do Vi. Ta wersja została skonsolidowana
statycznie i posiada minimalną ilość dodatków. Jest instalowana w /bin
jako narzędzie dla administratora. Instalacja tego pakietu jest MOCNO
zalecana, może on pomóc Ci uratować system w czasie awarii.

%description static -l ru.UTF-8
Пакет vim-static устанавливает разновидность vim как /bin/vi, что
удобно для запуска даже когда смонтирована только корневая файловая
система.

%description static -l uk.UTF-8
Пакет vim-static встановлює різновид vim як /bin/vi, що зручно для
запуску навіть тоді, коли змонтована тільки корньова файлова система.

%package rt
Summary:	Vim runtime files
Summary(cs.UTF-8):	Soubory nezbytné pro libovolný editor VIM
Summary(da.UTF-8):	Fælles filer som er nødvendige for enhver version af VIM editoren
Summary(de.UTF-8):	Die von allen Versionen des VIM-Editors benötigten gemeinsamen Dateien
Summary(es.UTF-8):	Ficheros comunes a todas las versiones de VIM
Summary(fr.UTF-8):	Fichiers communs indispensables pour toute version de l'éditeur VIM
Summary(hu.UTF-8):	A Vim futásidejű fájljai
Summary(id.UTF-8):	File umum yang dibutuhkan oleh semua versi editor VIM
Summary(is.UTF-8):	Grunnskrár sem allar útgáfur VIM ritilsins þurfa á að halda
Summary(it.UTF-8):	File comuni necessari per tutte le versioni dell'editor VIM
Summary(ja.UTF-8):	すべてのバージョンの VIM エディタで必要とされる共通ファイル
Summary(nb.UTF-8):	Felles filer som er nødvendige for enhver versjon av VIM editoren
Summary(pl.UTF-8):	Pliki przydatne dla edytora Vim
Summary(pt.UTF-8):	Os ficheiros comuns necessários para qualquer versão do editor VIM
Summary(ru.UTF-8):	Файлы, требуемые для любой версии редактора vim
Summary(sk.UTF-8):	Spoločné súbory potrebné pre všetky verzie editoru VIM
Summary(sl.UTF-8):	Skupne datoteke, potrebne s katerokoli različico urejevalnika VIM
Summary(sv.UTF-8):	De gemensamma filerna som behövs av alla versioner av redigeraren VIM
Summary(uk.UTF-8):	Файли, потрібні для будь-якої версії редактору vim
Summary(zh_CN.UTF-8):	任何版本的 VIM 编辑器所需的公用文件。
Group:		Applications/Editors/Vim
Requires:	rpm-whiteout >= 1.3
Requires:	vim-plugin-securemodelines
Obsoletes:	gvim-bonobo
Obsoletes:	vim-common

%description rt
This package contains macros, documentation, syntax configuration and
manual pages for Vim. If you want to take advantage of Vim more
powerful features, you should install this package.

%description rt -l cs.UTF-8
Tento balíček obsahuje společné soubory pro všechny další balíčky s
vim.

%description rt -l de.UTF-8
Das Paket vim-rt enthält Dateien, die jede VIM-Binärdatei für die
Ausführung benötigt.

%description rt -l fr.UTF-8
Le paquetage vim-rt contient des fichiers dont chaque fichier binaire
VIM a besoin pour fonctionner.

%description rt -l hu.UTF-8
Ez a csomag makrókat, dokumentációt, nyelvi konfigurációt és kézikönyv
oldalakat tartalmaz Vim-hez. Ha ki akarod használni a Vim
lehetőségeit, érdemes telepítened ezt a csomagot.

%description rt -l id.UTF-8
Package vim-rt berisi file yang dibutuhkan semua versi VIM agar bisa
berjalan.

%description rt -l is.UTF-8
vim-rt pakkinn inniheldur skrár sem allar VIM keyrsluskrárnar þurfa
til að keyra.

%description rt -l it.UTF-8
Il pacchetto vim-rt contiene i file necessari a ogni binario di VIM
per poter funzionare.

%description rt -l pl.UTF-8
W tym pakiecie znajdują się makra, pliki konfiguracyjne i strony
podręcznika dla edytora Vim. Aby korzystać z zaawansowanych możliwości
Vima, należy zainstalować ten pakiet.

%description rt -l pt.UTF-8
O pacote vim-rt contém os ficheiros que todos os executáveis do VIM
irão necessitar para correr.

%description rt -l ru.UTF-8
Пакет vim-rt содержит файлы (например, файлы справки), которые нужны
для работы любой программы vim.

%description rt -l sk.UTF-8
Balík vim-rt obsahuje súbory, ktoré bude potrebovať pre správnu
funkciu každá verzia editoru VIM.

%description rt -l sv.UTF-8
Paketet vim-rt innehåller filer som alla VIM-binärer behöver för att
köra.

%description rt -l uk.UTF-8
Пакет vim-rt містить файли (наприклад, файли довідки), котрі потрібні
для роботи будь-якої програми vim.

%package rt-extras
Summary:	Vim runtime extra files
Summary(pl.UTF-8):	Dodatkowe pliki uruchomieniowe Vima
Group:		Applications/Editors/Vim
Requires:	%{name}-rt = %{epoch}:%{version}-%{release}

%description rt-extras
This package contains more runtime extra files, not really useful. If
you want to take full advantage of Vim more powerful features, you
should install this package.

%description rt-extras -l pl.UTF-8
Ten pakiet zawiera dodatkowe pliki uruchomieniowe, nie tak bardzo
przydatne. Aby korzystać ze wszystkich możliwości Vima, należy
zainstalować ten pakiet.

%package doc
Summary:	Context Vim documentation
Summary(pl.UTF-8):	Dokumentacja kontekstowa do Vima
Group:		Applications/Editors/Vim
Requires:	%{name}-rt = %{epoch}:%{version}-%{release}
Requires:	gzip

%description doc
This package contains Vim documentation accessible from vim itself
using :help command.

%description doc -l pl.UTF-8
Ten pakiet zawiera dokumentację do Vima dostępną z poziomu samego
vima za pomocą polecenia :help.

%package spell-en
Summary:	English dictionaries for VIMspell
Summary(pl.UTF-8):	Angielskie słowniki dla VIMspella
Group:		Applications/Editors/Vim
Requires:	%{name}-rt = %{epoch}:%{version}-%{release}

%description spell-en
English dictionaries for VIMspell.

%description spell-en -l pl.UTF-8
Angielskie słowniki dla VIMspella.

%package tutor
Summary:	Vim tutorial
Summary(hu.UTF-8):	Vim tutorial
Summary(pl.UTF-8):	Samouczek do Vima
Group:		Applications/Editors/Vim
Requires:	%{name}-rt = %{epoch}:%{version}-%{release}
Requires:	mktemp
Requires:	vim-editor = %{epoch}:%{version}-%{release}

%description tutor
This package contains Vim tutorial.

%description tutor -l hu.UTF-8
Ez a csomag a vimtutor-t tartalmazza, amely egy gyakorlat-orientált
bevezető a Vim-hez.

%description tutor -l pl.UTF-8
Ten pakiet zawiera samouczek do Vima.

%package -n gvim-athena
Summary:	Vim for X Window built with Athena
Summary(hu.UTF-8):	A Vim X Window verziója, az Athena felhasználásával
Summary(pl.UTF-8):	Vim dla X Window korzystający z biblioteki Athena
Group:		Applications/Editors/Vim
Requires:	%{name}-rt = %{epoch}:%{version}-%{release}
Requires:	iconv
Provides:	gvim
Provides:	vi-editor
Provides:	vim-editor = %{epoch}:%{version}-%{release}
Obsoletes:	vim-X11

%description -n gvim-athena
The classic Unix text editor now also under X Window System! This
version is built with Athena Widget Set.

%description -n gvim-athena -l hu.UTF-8
A Vim X Window verziója, az Athena Widgetkészlet felhasználásával.

%description -n gvim-athena -l pl.UTF-8
Wersja edytora Vim pracująca w środowisku X Window z wykorzystaniem
biblioteki Athena Widget Set.

%description -n gvim-athena -l ru.UTF-8
Этот пакет представляет собой версию VIM, собранную с библиотеками
Athena Widget Set, что позволяет запускать VIM как приложение X Window
System - с полностью графическим интерфейсом и поддержкой мыши.

%description -n gvim-athena -l uk.UTF-8
Цей пакет містить версію VIM, зібрану з бібліотеками Athena Widget
Set, що дозволяє запускати VIM як прикладну програму X Window System -
з повністю графічним інтерфейсом та підтримкою миші.

%package -n gvim-motif
Summary:	Vim for X Window System built with Motif
Summary(hu.UTF-8):	A Vim X Window verziója, a Motif felhasználásával
Summary(pl.UTF-8):	Vim dla systemu X Window korzystający z biblioteki Motif
Group:		Applications/Editors/Vim
Requires:	%{name}-rt = %{epoch}:%{version}-%{release}
Requires:	iconv
Provides:	gvim
Provides:	vi-editor
Provides:	vim-editor = %{epoch}:%{version}-%{release}
Obsoletes:	vim-X11

%description -n gvim-motif
The classic Unix text editor now also under X Window System! This
version is built with Motif.

%description -n gvim-motif -l hu.UTF-8
A Vim X Window verziója, a Motif Widgetkészlet felhasználásával.

%description -n gvim-motif -l pl.UTF-8
Wersja edytora Vim pracująca w środowisku X Window z wykorzystaniem
biblioteki Motif.

%description -n gvim-motif -l ru.UTF-8
Этот пакет представляет собой версию VIM, собранную с библиотеками
Motif, что позволяет запускать VIM как приложение X Window System - с
полностью графическим интерфейсом и поддержкой мыши.

%description -n gvim-motif -l uk.UTF-8
Цей пакет містить версію VIM, зібрану з бібліотеками Motif, що
дозволяє запускати VIM як прикладну програму X Window System - з
повністю графічним інтерфейсом та підтримкою миші.

%package -n gvim-gtk
Summary:	Vim for X Window System built with GTK+
Summary(hu.UTF-8):	A Vim X Window verziója, a GTK+ felhasználásával
Summary(pl.UTF-8):	Vim dla systemu X Window korzystający z biblioteki GTK+
Group:		Applications/Editors/Vim
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	%{name}-rt = %{epoch}:%{version}-%{release}
Requires:	%{name}-rt-extras = %{epoch}:%{version}-%{release}
Requires:	iconv
Provides:	gvim
Provides:	vi-editor
Provides:	vim-editor = %{epoch}:%{version}-%{release}
Obsoletes:	vim-X11

%description -n gvim-gtk
The classic Unix text editor now also under X Window System! This
version is built with GTK+.

%description -n gvim-gtk -l hu.UTF-8
A Vim X Window verziója, a GTK+ Widgetkészlet felhasználásával.

%description -n gvim-gtk -l pl.UTF-8
Wersja edytora Vim pracująca w środowisku X Window z wykorzystaniem
biblioteki GTK+.

%description -n gvim-gtk -l ru.UTF-8
Этот пакет представляет собой версию VIM, собранную с библиотеками
GTK, что позволяет запускать VIM как приложение X Window System - с
полностью графическим интерфейсом и поддержкой мыши. Просто скажите
'gvim'...

%description -n gvim-gtk -l uk.UTF-8
Цей пакет містить версію VIM, зібрану з бібліотеками GTK, що дозволяє
запускати VIM як прикладну програму X Window System - з повністю
графічним інтерфейсом та підтримкою миші. Просто скажіть 'gvim'...

%package -n gvim-gnome
Summary:	Vim for X Window System built with GNOME
Summary(hu.UTF-8):	A Vim X Window verziója, a GNOME felhasználásával
Summary(pl.UTF-8):	Vim dla systemu X Window korzystający z biblioteki GNOME
Group:		Applications/Editors/Vim
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	%{name}-rt = %{epoch}:%{version}-%{release}
Requires:	%{name}-rt-extras = %{epoch}:%{version}-%{release}
Requires:	iconv
Provides:	gvim
Provides:	vi-editor
Provides:	vim-editor = %{epoch}:%{version}-%{release}
Obsoletes:	vim-X11

%description -n gvim-gnome
The classic Unix text editor now also under X Window System! This
version is build with GNOME.

%description -n gvim-gnome -l hu.UTF-8
A Vim X Window verziója, a GNOME felhasználásával.

%description -n gvim-gnome -l pl.UTF-8
Wersja edytora Vim pracująca w środowisku X Window z wykorzystaniem
bibliotek GNOME.

%description -n gvim-gnome -l ru.UTF-8
Этот пакет представляет собой версию VIM, собранную с библиотеками
GNOME, что позволяет запускать VIM как приложение X Window System - с
полностью графическим интерфейсом и поддержкой мыши.

%description -n gvim-gnome -l uk.UTF-8
Цей пакет містить версію VIM, зібрану з бібліотеками GNOME, що
дозволяє запускати VIM як прикладну програму X Window System - з
повністю графічним інтерфейсом та підтримкою миші.

%package -n gvim-heavy
Summary:	Full featured build of Vim with X Window support
Summary(hu.UTF-8):	A gvim legteljesebb verziója
Summary(pl.UTF-8):	W pełni funkcjonalna wersja Vima z interfejsem dla X Window
Group:		Applications/Editors/Vim
Requires(post,postun):	gtk+2
Requires:	%{name}-rt = %{epoch}:%{version}-%{release}
Requires:	%{name}-rt-extras = %{epoch}:%{version}-%{release}
Requires:	iconv
Provides:	gvim
Provides:	vi-editor
Provides:	vim-editor = %{epoch}:%{version}-%{release}
Obsoletes:	vim-X11

%description -n gvim-heavy
This package provides full featured version of Vim, which includes
support for Perl, Python, Ruby and Tcl scripting, as well as GTK+2
GUI.

%description -n gvim-heavy -l hu.UTF-8
A gvim legteljesebb verziója, Perl, Python, Ruby és Tcl támogatással.

%description -n gvim-heavy -l pl.UTF-8
Pakiet ten dostarcza w pełni funkcjonalną wersję Vima, czyli
zawierającą obsługę skryptów w językach Perl, Python, Ruby oraz Tcl
jak również GUI GTK+2.

%prep
%setup -q -n %{name}73

# official patches
%patchset_patch 1 %{patchlevel}

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p0
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p0
%patch17 -p0
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1

# home etc
%{?with_home_etc:%patch104 -p1}

# autopaste patch - automatically switch to paste mode
# when `really fast typing' situation happens
%patch105 -p1

%patch106 -p1

%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch112 -p1
%patch113 -p1
%patch114 -p1
%patch115 -p1
%patch116 -p1
%patch117 -p1

cp -a %{SOURCE20} runtime/syntax
cp -a %{SOURCE22} runtime/syntax
cp -a %{SOURCE23} runtime/syntax
cp -a %{SOURCE30} runtime/colors
cp -a %{SOURCE31} runtime/colors
cp -a %{SOURCE32} runtime/colors

%{__unzip} -qd runtime/doc %{SOURCE2}

# remove unsupported locales
rm -f src/po/zh_{CN,TW}.UTF-8.po
rm -f runtime/lang/menu_zh_{cn,tw}.utf-8.vim

# fix nb/no
mv -f src/po/n{o,b}.po
mv -f runtime/tutor/tutor.n{o,b}
mv -f runtime/tutor/tutor.n{o,b}.utf-8
mv -f runtime/lang/menu_n{o,b}.latin1.vim
mv -f runtime/lang/menu_n{o,b}.utf-8.vim
mv -f runtime/lang/menu_n{o,b}_no.latin1.vim
mv -f runtime/lang/menu_n{o,b}_no.utf-8.vim

%build
cd src
%{__autoconf}
# needed to prevent deconfiguring
cp -f configure auto
install -d bin

build() {
	set -x
	local target=$1
	shift

	%configure \
%if "%{pld_release}" == "ac"
		--with-tlib="ncurses -ltinfo"
%else
		--with-tlib="ncursesw"
%endif

	%{__make} distclean
	# add common options, can override (disable) if needed with args
	%configure \
		--%{!?with_perl:dis}%{?with_perl:en}able-perlinterp \
		--%{!?with_python:dis}%{?with_python:en}able-pythoninterp \
		--%{!?with_ruby:dis}%{?with_ruby:en}able-rubyinterp \
		--%{!?with_tcl:dis}%{?with_tcl:en}able-tclinterp \
		%{!?with_selinux:--disable-selinux} \
		--enable-cscope \
		--enable-gpm \
		--enable-multibyte \
		--enable-nls \
%if "%{pld_release}" == "ac"
		--with-tlib="ncurses -ltinfo" \
%else
		--with-tlib="ncursesw" \
%endif
		--with-modified-by="PLD Linux Distribution" \
		--with-compiledby="PLD Linux Distribution" \
		"$@"

	%{__make} vim
	mv -f vim bin/$target
}

%if %{with static}
LDFLAGS="%{rpmldflags} -static"
build vim.static \
	--disable-gui \
	--without-x \
	--with-features=small \
	--disable-perlinterp \
	--disable-pythoninterp \
	--disable-rubyinterp \
	--disable-tclinterp \
	--disable-cscope \
	--disable-gpm \
	--disable-multibyte \
	--disable-nls

LDFLAGS="%{rpmldflags}"
%endif

build vim.ncurses \
	--disable-gui \
	--without-x \
	--with-features=huge

%if %{with athena}
build gvim.athena \
	--with-features=huge \
	--enable-gui=athena \
	--with-x \
	--enable-fontset \
	--disable-gpm \
	--without-gnome

%endif

%if %{with motif}
build gvim.motif \
	--with-features=huge \
	--enable-gui=motif \
	--with-x \
	--enable-multibyte \
	--enable-fontset \
	--disable-gpm \
	--without-gnome

%endif

%if %{with gtk}
build gvim.gtk \
	--with-features=huge \
	--enable-gui=gtk2 \
	--enable-gtk2-check \
	--with-x \
	--disable-gpm

%endif

%if %{with gnome}
build gvim.gnome \
	--with-features=huge \
	--enable-gui=gnome2 \
	--enable-gtk2-check \
	--enable-gnome-check \
	--with-x \
	--disable-gpm

%endif

# vim.heavy / gvim.heavy
%if %{with heavy}
build vim.heavy \
	--with-features=huge \
	--disable-gui \
	--without-x \
	--enable-perlinterp \
	--enable-pythoninterp \
	--enable-rubyinterp \
	--enable-tclinterp \
	--disable-gpm

build gvim.heavy \
	--with-features=huge \
	--enable-gui=gnome2 \
	--enable-gtk2-check \
	--enable-gnome-check \
	--with-x \
	--enable-perlinterp \
	--enable-pythoninterp \
	--enable-rubyinterp \
	--enable-tclinterp \
	--disable-gpm

%endif

%{__make} xxd/xxd languages

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_sysconfdir}/vim,%{_bindir}} \
	$RPM_BUILD_ROOT{/bin,%{_mandir}/man1,%{_datadir}/vim/ftdetect} \
	$RPM_BUILD_ROOT%{_desktopdir}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

# use compressed docs, see :help gzip-helpfile
%{__gzip} -9 $RPM_BUILD_ROOT%{_datadir}/vim/doc/*.txt
%{__sed} -i -e 's=\(\t.*\.txt\)\t=\1.gz\t=' $RPM_BUILD_ROOT%{_datadir}/vim/doc/tags

%{__gzip} -9 $RPM_BUILD_ROOT%{_datadir}/vim/doc/*.??x
%{__sed} -i -e 's=\(\t.*\.plx\)\t=\1.gz\t=' $RPM_BUILD_ROOT%{_datadir}/vim/doc/tags-pl

%{__rm} $RPM_BUILD_ROOT%{_bindir}/*

%if %{with static}
install -p src/bin/vim.ncurses	$RPM_BUILD_ROOT%{_bindir}/vim
install -p src/bin/vim.static	$RPM_BUILD_ROOT/bin/vi
%else
install -p src/bin/vim.ncurses	$RPM_BUILD_ROOT/bin/vi
ln -sf /bin/vi		$RPM_BUILD_ROOT%{_bindir}/vim
%endif
install -p src/xxd/xxd	$RPM_BUILD_ROOT%{_bindir}/xxd
install -p src/vimtutor	$RPM_BUILD_ROOT%{_bindir}/vimtutor

echo ".so vim.1" > $RPM_BUILD_ROOT%{_mandir}/man1/vi.1
echo ".so vim.1" > $RPM_BUILD_ROOT%{_mandir}/man1/view.1

# not supported directories
%{__rm} -r $RPM_BUILD_ROOT%{_mandir}/??.*/

mv -f $RPM_BUILD_ROOT{%{_datadir}/vim/vimrc_example.vim,%{_sysconfdir}/vim/vimrc}
mv -f $RPM_BUILD_ROOT{%{_datadir}/vim/gvimrc_example.vim,%{_sysconfdir}/vim/gvimrc}

ln -sf vim $RPM_BUILD_ROOT%{_bindir}/rvim
ln -sf vim $RPM_BUILD_ROOT%{_bindir}/vimdiff
ln -sf vi  $RPM_BUILD_ROOT/bin/ex
ln -sf vi  $RPM_BUILD_ROOT/bin/view
ln -sf vi  $RPM_BUILD_ROOT/bin/rview

cp -a %{SOURCE14}	$RPM_BUILD_ROOT%{_desktopdir}

%if %{with athena}
install -p src/bin/gvim.athena	$RPM_BUILD_ROOT%{_bindir}/gvim.athena
cp -a %{SOURCE10}	$RPM_BUILD_ROOT%{_desktopdir}
%endif
%if %{with motif}
install -p src/bin/gvim.motif	$RPM_BUILD_ROOT%{_bindir}/gvim.motif
cp -a %{SOURCE11}	$RPM_BUILD_ROOT%{_desktopdir}
%endif
%if %{with gnome}
install -p src/bin/gvim.gnome	$RPM_BUILD_ROOT%{_bindir}/gvim.gnome
cp -a %{SOURCE13}	$RPM_BUILD_ROOT%{_desktopdir}
%endif
%if %{with gtk}
install -p src/bin/gvim.gtk	$RPM_BUILD_ROOT%{_bindir}/gvim.gtk
ln -sf gvim.gtk		$RPM_BUILD_ROOT%{_bindir}/gvim
ln -sf gvim		$RPM_BUILD_ROOT%{_bindir}/eview
ln -sf gvim		$RPM_BUILD_ROOT%{_bindir}/evim
ln -sf gvim		$RPM_BUILD_ROOT%{_bindir}/gview
ln -sf gvim		$RPM_BUILD_ROOT%{_bindir}/gvimdiff
ln -sf gvim		$RPM_BUILD_ROOT%{_bindir}/rgview
ln -sf gvim		$RPM_BUILD_ROOT%{_bindir}/rgvim
cp -a %{SOURCE12}	$RPM_BUILD_ROOT%{_desktopdir}
%endif
%if %{with heavy}
install -p src/bin/vim.heavy	$RPM_BUILD_ROOT%{_bindir}
install -p src/bin/gvim.heavy	$RPM_BUILD_ROOT%{_bindir}
%endif

install -d $RPM_BUILD_ROOT%{_pixmapsdir}
cp -a runtime/vim48x48.png $RPM_BUILD_ROOT%{_pixmapsdir}/vim.png

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

install -d $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/{doc,{after/,}{compiler,ftdetect,ftplugin,indent,plugin,spell,syntax}}
> $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/doc/tags

# separate package
%{__rm} $RPM_BUILD_ROOT%{_datadir}/vim/{ftplugin,syntax}/spec.vim

# unuseful
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/vim/tools
%{__rm} $RPM_BUILD_ROOT%{_datadir}/vim/bugreport.vim
%{__rm} $RPM_BUILD_ROOT%{_datadir}/vim/spell/check_locales.vim
%{__rm} $RPM_BUILD_ROOT%{_datadir}/vim/spell/cleanadd.vim
%{__rm} $RPM_BUILD_ROOT%{_datadir}/vim/spell/fixdup.vim
%{__rm} $RPM_BUILD_ROOT%{_datadir}/vim/doc/vim2html.pl

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/bin/update-desktop-database ] || %update_desktop_database

%postun
[ ! -x /usr/bin/update-desktop-database ] || %update_desktop_database

%post -n gvim-athena
[ ! -x /usr/bin/update-desktop-database ] || %update_desktop_database

%postun -n gvim-athena
[ ! -x /usr/bin/update-desktop-database ] || %update_desktop_database

%post -n gvim-motif
[ ! -x /usr/bin/update-desktop-database ] || %update_desktop_database

%postun -n gvim-motif
[ ! -x /usr/bin/update-desktop-database ] || %update_desktop_database

%post -n gvim-gtk
[ ! -x /usr/bin/update-desktop-database ] || %update_desktop_database
%update_icon_cache hicolor

%postun -n gvim-gtk
[ ! -x /usr/bin/update-desktop-database ] || %update_desktop_database
%update_icon_cache hicolor

%post -n gvim-gnome
%update_desktop_database_post
%update_icon_cache hicolor

%postun -n gvim-gnome
%update_desktop_database_postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rvim
%attr(755,root,root) %{_bindir}/vim
%attr(755,root,root) %{_bindir}/vimdiff
%{_mandir}/man1/rvim.1*
%{_mandir}/man1/vimdiff.1*
%lang(fi) %{_mandir}/fi/man1/rvim.1*
%lang(fr) %{_mandir}/fr/man1/rvim.1*
%lang(fr) %{_mandir}/fr/man1/vimdiff.1*
%lang(id) %{_mandir}/id/man1/rvim.1*
%lang(id) %{_mandir}/id/man1/vim.1*
%lang(it) %{_mandir}/it/man1/rvim.1*
%lang(it) %{_mandir}/it/man1/vim.1*
%lang(it) %{_mandir}/it/man1/vimdiff.1*
%lang(pl) %{_mandir}/pl/man1/rvim.1*
%lang(pl) %{_mandir}/pl/man1/vim.1*
%lang(pl) %{_mandir}/pl/man1/vimdiff.1*
%lang(ru) %{_mandir}/ru/man1/rvim.1*
%lang(ru) %{_mandir}/ru/man1/vim.1*
%lang(ru) %{_mandir}/ru/man1/vimdiff.1*
%{_desktopdir}/%{name}.desktop

%if %{with static}
%files static
%endif
%defattr(644,root,root,755)
%attr(755,root,root) /bin/ex
%attr(755,root,root) /bin/rview
%attr(755,root,root) /bin/vi
%attr(755,root,root) /bin/view
%{_mandir}/man1/vi.1*
%{_mandir}/man1/ex.1*
%{_mandir}/man1/view.1*
%{_mandir}/man1/rview.1*
%lang(fi) %{_mandir}/fi/man1/vi.1*
%lang(fi) %{_mandir}/fi/man1/ex.1*
%lang(fi) %{_mandir}/fi/man1/view.1*
%lang(fi) %{_mandir}/fi/man1/rview.1*
%lang(fr) %{_mandir}/fr/man1/vi.1*
%lang(fr) %{_mandir}/fr/man1/ex.1*
%lang(fr) %{_mandir}/fr/man1/view.1*
%lang(fr) %{_mandir}/fr/man1/rview.1*
%lang(id) %{_mandir}/id/man1/vi.1*
%lang(id) %{_mandir}/id/man1/ex.1*
%lang(id) %{_mandir}/id/man1/view.1*
%lang(id) %{_mandir}/id/man1/rview.1*
#%lang(it) %{_mandir}/it/man1/vi.1*
%lang(it) %{_mandir}/it/man1/ex.1*
%lang(it) %{_mandir}/it/man1/view.1*
%lang(it) %{_mandir}/it/man1/rview.1*
%lang(pl) %{_mandir}/pl/man1/vi.1*
%lang(pl) %{_mandir}/pl/man1/ex.1*
%lang(pl) %{_mandir}/pl/man1/view.1*
%lang(pl) %{_mandir}/pl/man1/rview.1*
#%lang(ru) %{_mandir}/ru/man1/vi.1*
%lang(ru) %{_mandir}/ru/man1/ex.1*
%lang(ru) %{_mandir}/ru/man1/view.1*
%lang(ru) %{_mandir}/ru/man1/rview.1*

%files -n xxd
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xxd
%{_mandir}/man1/xxd.1*
%lang(fr) %{_mandir}/fr/man1/xxd.1*
%lang(it) %{_mandir}/it/man1/xxd.1*
%lang(pl) %{_mandir}/pl/man1/xxd.1*
%lang(ru) %{_mandir}/ru/man1/xxd.1*

%files rt -f %{name}.lang
%defattr(644,root,root,755)
%dir %{_sysconfdir}/vim
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/vim/vimrc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/vim/gvimrc

%dir %{_datadir}/vim

%dir %{_datadir}/vim/vimfiles
%dir %{_datadir}/vim/vimfiles/doc
%dir %{_datadir}/vim/vimfiles/after
%dir %{_datadir}/vim/vimfiles/after/compiler
%dir %{_datadir}/vim/vimfiles/after/ftdetect
%dir %{_datadir}/vim/vimfiles/after/ftplugin
%dir %{_datadir}/vim/vimfiles/after/indent
%dir %{_datadir}/vim/vimfiles/after/plugin
%dir %{_datadir}/vim/vimfiles/after/spell
%dir %{_datadir}/vim/vimfiles/after/syntax
%dir %{_datadir}/vim/vimfiles/compiler
%dir %{_datadir}/vim/vimfiles/ftdetect
%dir %{_datadir}/vim/vimfiles/ftplugin
%dir %{_datadir}/vim/vimfiles/indent
%dir %{_datadir}/vim/vimfiles/plugin
%dir %{_datadir}/vim/vimfiles/spell
%dir %{_datadir}/vim/vimfiles/syntax
%verify(not md5 mtime size) %{_datadir}/vim/vimfiles/doc/tags

%{_datadir}/vim/*.vim

%dir %{_datadir}/vim/autoload
%doc %{_datadir}/vim/autoload/README.txt

%dir %{_datadir}/vim/ftdetect

%dir %{_datadir}/vim/ftplugin
%doc %{_datadir}/vim/ftplugin/README.txt
%{_datadir}/vim/ftplugin/*.vim
%{_datadir}/vim/ftplugin/logtalk.dict

%dir %{_datadir}/vim/indent
%doc %{_datadir}/vim/indent/README.txt
%{_datadir}/vim/indent/*.vim

%dir %{_datadir}/vim/keymap
%doc %{_datadir}/vim/keymap/README.txt
%{_datadir}/vim/keymap/*.vim

%dir %{_datadir}/vim/plugin
%doc %{_datadir}/vim/plugin/README.txt

%dir %{_datadir}/vim/syntax
%doc %{_datadir}/vim/syntax/README.txt
%{_datadir}/vim/syntax/*.vim

%dir %{_datadir}/vim/colors
%doc %{_datadir}/vim/colors/README.txt
%{_datadir}/vim/colors/*.vim

%dir %{_datadir}/vim/lang
%doc %{_datadir}/vim/lang/README*

%lang(af) %{_datadir}/vim/lang/menu_af*
%lang(ca) %{_datadir}/vim/lang/menu_ca*
%lang(cs) %{_datadir}/vim/lang/menu_cs*
%lang(cs) %{_datadir}/vim/lang/menu_*czech*
%lang(de) %{_datadir}/vim/lang/menu_de*
%lang(de) %{_datadir}/vim/lang/menu_*german*
%lang(en_GB) %{_datadir}/vim/lang/menu_en_gb*
%lang(en_GB) %{_datadir}/vim/lang/menu_*english*
%lang(eo) %{_datadir}/vim/lang/menu_eo.utf-8.vim
%lang(eo) %{_datadir}/vim/lang/menu_eo_eo.utf-8.vim
%lang(eo) %{_datadir}/vim/lang/menu_eo_xx.utf-8.vim
%lang(es) %{_datadir}/vim/lang/menu_es*
%lang(es) %{_datadir}/vim/lang/menu_*spanish*
%lang(fi) %{_datadir}/vim/lang/menu_fi.latin1.vim
%lang(fi) %{_datadir}/vim/lang/menu_fi.utf-8.vim
%lang(fi) %{_datadir}/vim/lang/menu_fi_fi.latin1.vim
%lang(fi) %{_datadir}/vim/lang/menu_fi_fi.utf-8.vim
%lang(fi) %{_datadir}/vim/lang/menu_finnish_finland.1252.vim
%lang(fr) %{_datadir}/vim/lang/menu_fr*
%lang(hu) %{_datadir}/vim/lang/menu_hu*
%lang(it) %{_datadir}/vim/lang/menu_it*
%lang(ja) %{_datadir}/vim/lang/menu_ja*
%lang(ko) %{_datadir}/vim/lang/menu_ko*
%lang(nl) %{_datadir}/vim/lang/menu_nl*
%lang(nb) %{_datadir}/vim/lang/menu_nb*
%lang(pl) %{_datadir}/vim/lang/menu_pl*
%lang(pl) %{_datadir}/vim/lang/menu_*polish*
%lang(pt) %{_datadir}/vim/lang/menu_pt*
%lang(ru) %{_datadir}/vim/lang/menu_ru*
%lang(sk) %{_datadir}/vim/lang/menu_sk*
%lang(sk) %{_datadir}/vim/lang/menu_*slovak*
%lang(sl) %{_datadir}/vim/lang/menu_sl_si*
%lang(sr) %{_datadir}/vim/lang/menu_sr*
%lang(sv) %{_datadir}/vim/lang/menu_sv*
%lang(uk) %{_datadir}/vim/lang/menu_uk*
%lang(vi) %{_datadir}/vim/lang/menu_vi*
%lang(zh_CN) %{_datadir}/vim/lang/menu_zh.cp936*
%lang(zh_CN) %{_datadir}/vim/lang/menu_zh.gb2312*
%lang(zh_CN) %{_datadir}/vim/lang/menu_zh_cn*
%lang(zh_CN) %{_datadir}/vim/lang/menu_*chinese*gb*
%lang(zh_TW) %{_datadir}/vim/lang/menu_zh.cp950*
%lang(zh_TW) %{_datadir}/vim/lang/menu_zh.big5*
%lang(zh_TW) %{_datadir}/vim/lang/menu_zh_tw*
%lang(zh_TW) %{_datadir}/vim/lang/menu_*taiwan*

%dir %{_datadir}/vim/spell
%lang(he) %{_datadir}/vim/spell/he.*
%lang(yi) %{_datadir}/vim/spell/yi.*

%{_mandir}/man1/rvim.1*
%{_mandir}/man1/vim.1*
%lang(fi) %{_mandir}/fi/man1/rvim.1*
%lang(fi) %{_mandir}/fi/man1/vim.1*
%lang(fr) %{_mandir}/fr/man1/rvim.1*
%lang(fr) %{_mandir}/fr/man1/vim.1*
%{_pixmapsdir}/vim.png

# plugins in base -rt package
%{_datadir}/vim/autoload/gzip.vim
%{_datadir}/vim/plugin/gzip.vim
%{_datadir}/vim/plugin/matchparen.vim

%files rt-extras
%defattr(644,root,root,755)
%{_datadir}/vim/plugin/*.vim
%{_datadir}/vim/autoload/*.vim
%{_datadir}/vim/autoload/xml
%{_datadir}/vim/compiler
%{_datadir}/vim/macros
%{_datadir}/vim/print

# plugins in base -rt package
%exclude %{_datadir}/vim/autoload/gzip.vim
%exclude %{_datadir}/vim/plugin/gzip.vim
%exclude %{_datadir}/vim/plugin/matchparen.vim

%files doc
%defattr(644,root,root,755)
%dir %{_datadir}/vim/doc

# English
%{_datadir}/vim/doc/*.txt.gz
%verify(not md5 mtime size) %{_datadir}/vim/doc/tags

# Polish
%lang(pl) %{_datadir}/vim/doc/*.plx.gz
%lang(pl) %verify(not md5 mtime size) %{_datadir}/vim/doc/tags-pl

%files tutor
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vimtutor
%dir %{_datadir}/vim/tutor
%dir %{_datadir}/vim/tutor/tutor

%{_datadir}/vim/tutor/README.txt
%{_datadir}/vim/tutor/tutor.vim
%{_datadir}/vim/tutor/tutor.utf-8
%lang(el) %{_datadir}/vim/tutor/README.el.cp737.txt
%lang(el) %{_datadir}/vim/tutor/README.el.txt

%lang(bj) %{_datadir}/vim/tutor/tutor.bj
%lang(bj) %{_datadir}/vim/tutor/tutor.bj.utf-8
%lang(ca) %{_datadir}/vim/tutor/tutor.ca
%lang(ca) %{_datadir}/vim/tutor/tutor.ca.utf-8
%lang(cs) %{_datadir}/vim/tutor/tutor.cs
%lang(cs) %{_datadir}/vim/tutor/tutor.cs.cp1250
%lang(cs) %{_datadir}/vim/tutor/tutor.cs.utf-8
%lang(de) %{_datadir}/vim/tutor/tutor.de
%lang(de) %{_datadir}/vim/tutor/tutor.de.utf-8
%lang(el) %{_datadir}/vim/tutor/tutor.el
%lang(el) %{_datadir}/vim/tutor/tutor.el.cp737
%lang(el) %{_datadir}/vim/tutor/tutor.el.utf-8
%lang(eo) %{_datadir}/vim/tutor/tutor.eo
%lang(eo) %{_datadir}/vim/tutor/tutor.eo.utf-8
%lang(es) %{_datadir}/vim/tutor/tutor.es
%lang(es) %{_datadir}/vim/tutor/tutor.es.utf-8
%lang(fr) %{_datadir}/vim/tutor/tutor.fr
%lang(fr) %{_datadir}/vim/tutor/tutor.fr.utf-8
%lang(hr) %{_datadir}/vim/tutor/tutor.hr
%lang(hr) %{_datadir}/vim/tutor/tutor.hr.cp1250
%lang(hr) %{_datadir}/vim/tutor/tutor.hr.utf-8
%lang(hu) %{_datadir}/vim/tutor/tutor.hu
%lang(hu) %{_datadir}/vim/tutor/tutor.hu.cp1250
%lang(hu) %{_datadir}/vim/tutor/tutor.hu.utf-8
%lang(it) %{_datadir}/vim/tutor/tutor.it
%lang(it) %{_datadir}/vim/tutor/tutor.it.utf-8
%lang(ja) %{_datadir}/vim/tutor/tutor.ja.euc
%lang(ja) %{_datadir}/vim/tutor/tutor.ja.sjis
%lang(ja) %{_datadir}/vim/tutor/tutor.ja.utf-8
%lang(ko) %{_datadir}/vim/tutor/tutor.ko.euc
%lang(ko) %{_datadir}/vim/tutor/tutor.ko.utf-8
%lang(nb) %{_datadir}/vim/tutor/tutor.nb
%lang(nb) %{_datadir}/vim/tutor/tutor.nb.utf-8
%lang(pl) %{_datadir}/vim/tutor/tutor.pl
%lang(pl) %{_datadir}/vim/tutor/tutor.pl.cp1250
%lang(pl) %{_datadir}/vim/tutor/tutor.pl.utf-8
%lang(pt) %{_datadir}/vim/tutor/tutor.pt
%lang(pt) %{_datadir}/vim/tutor/tutor.pt.utf-8
%lang(ru) %{_datadir}/vim/tutor/tutor.ru
%lang(ru) %{_datadir}/vim/tutor/tutor.ru.cp1251
%lang(ru) %{_datadir}/vim/tutor/tutor.ru.utf-8
%lang(sk) %{_datadir}/vim/tutor/tutor.sk
%lang(sk) %{_datadir}/vim/tutor/tutor.sk.cp1250
%lang(sk) %{_datadir}/vim/tutor/tutor.sk.utf-8
%lang(sv) %{_datadir}/vim/tutor/tutor.sv
%lang(sv) %{_datadir}/vim/tutor/tutor.sv.utf-8
%lang(tr) %{_datadir}/vim/tutor/tutor.tr.iso9
%lang(tr) %{_datadir}/vim/tutor/tutor.tr.utf-8
%lang(vi) %{_datadir}/vim/tutor/tutor.vi.utf-8
%lang(zh_TW) %{_datadir}/vim/tutor/tutor.zh.big5
%lang(zh_TW) %{_datadir}/vim/tutor/tutor.zh.euc
%lang(zh_TW) %{_datadir}/vim/tutor/tutor.zh.utf-8

%{_mandir}/man1/vimtutor.1*
%lang(fr) %{_mandir}/fr/man1/vimtutor.1*
%lang(it) %{_mandir}/it/man1/vimtutor.1*
%lang(pl) %{_mandir}/pl/man1/vimtutor.1*
%lang(ru) %{_mandir}/ru/man1/vimtutor.1*

%if %{with heavy}
%files heavy
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vim.heavy
%endif

%files spell-en
%defattr(644,root,root,755)
%{_datadir}/vim/spell/en.*.*

%if %{with athena}
%files -n gvim-athena
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gvim.athena
%{_desktopdir}/gvim-athena.desktop
%endif

%if %{with motif}
%files -n gvim-motif
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gvim.motif
%{_desktopdir}/gvim-motif.desktop
%endif

%if %{with gtk}
%files -n gvim-gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gvim.gtk
%attr(755,root,root) %verify(not link) %{_bindir}/gvim
%attr(755,root,root) %{_bindir}/eview
%attr(755,root,root) %{_bindir}/evim
%attr(755,root,root) %{_bindir}/gview
%attr(755,root,root) %{_bindir}/gvimdiff
%attr(755,root,root) %{_bindir}/rgview
%attr(755,root,root) %{_bindir}/rgvim
%{_mandir}/man1/eview.1*
%{_mandir}/man1/evim.1*
%{_mandir}/man1/gvi*
%{_mandir}/man1/rgv*
%lang(fi) %{_mandir}/fi/man1/gvi*
%lang(fi) %{_mandir}/fi/man1/rgv*
%lang(fr) %{_mandir}/fr/man1/eview.1*
%lang(fr) %{_mandir}/fr/man1/evim.1*
%lang(fr) %{_mandir}/fr/man1/gvi*
%lang(fr) %{_mandir}/fr/man1/rgv*
%lang(id) %{_mandir}/id/man1/gvi*
%lang(id) %{_mandir}/id/man1/rgv*
%lang(it) %{_mandir}/it/man1/eview.1*
%lang(it) %{_mandir}/it/man1/evim.1*
%lang(it) %{_mandir}/it/man1/gvi*
%lang(it) %{_mandir}/it/man1/rgv*
%lang(pl) %{_mandir}/pl/man1/eview.1*
%lang(pl) %{_mandir}/pl/man1/evim.1*
%lang(pl) %{_mandir}/pl/man1/gvi*
%lang(pl) %{_mandir}/pl/man1/rgv*
%lang(ru) %{_mandir}/ru/man1/eview.1*
%lang(ru) %{_mandir}/ru/man1/evim.1*
%lang(ru) %{_mandir}/ru/man1/gvi*
%lang(ru) %{_mandir}/ru/man1/rgv*
%{_desktopdir}/gvim-gtk.desktop
%endif

%if %{with gnome}
%files -n gvim-gnome
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gvim.gnome
%{_desktopdir}/gvim-gnome.desktop
%endif

%if %{with heavy}
%files -n gvim-heavy
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gvim.heavy
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vim.spec,v $
Revision 1.565  2012/01/15 01:25:54  adamg
- updated to 7.3.401

Revision 1.564  2011/12/11 13:45:30  adamg
- updated to 7.3.372

Revision 1.563  2011/11/13 10:54:52  arekm
- up to 7.3.353

Revision 1.562  2011/11/04 08:17:58  hawk
- reversed logic in %if "%{pld_release}", only AC will keep separate tinfo

Revision 1.561  2011/09/01 07:20:17  arekm
- rel 3; no more tinfo

Revision 1.560  2011/08/31 18:30:59  arekm
- release 2

Revision 1.559  2011/08/29 18:45:09  marti
- up to 7.3.289

Revision 1.558  2011/07/09 07:07:58  adamg
- updated to 7.3.244

Revision 1.557  2011/05/23 13:04:02  glen
- up to 7.3.198

Revision 1.556  2011/05/11 11:11:19  glen
- up to 7.3.189

Revision 1.555  2011/04/29 07:51:26  marti
- up to 170

Revision 1.554  2011/04/22 08:16:55  marti
- up to 7.3.162

Revision 1.553  2011/04/12 08:14:23  glen
- up to 7.3.161

Revision 1.552  2011/04/03 08:52:29  adamg
- updated to 7.3.154

Revision 1.551  2011/03/28 12:22:07  glen
- up to 7.3.146

Revision 1.550  2011/03/23 14:54:21  glen
- up to 7.3.143

Revision 1.549  2011/02/16 09:47:10  glen
- up to 7.3.125

Revision 1.548  2011/02/14 12:05:13  glen
- up to 7.3.119

Revision 1.547  2011/02/10 08:38:00  glen
- up to 7.3.118

Revision 1.546  2011/02/04 18:24:07  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.545  2011/02/04 11:54:22  glen
- up to 7.3.112

Revision 1.544  2011/01/24 12:51:54  glen
- up to 7.3.107

Revision 1.543  2011/01/22 14:06:34  qboosh
- fixed/completed pl
- removed bogus da "translation"
- evim/eview is meant to be used with GUI-enabled vim (see man), so moved to gvim[-gtk]

Revision 1.542  2011/01/21 15:58:22  gotar
- fixed distclean when some bconds change (otherwise calls configure anyway) -10m

Revision 1.541  2011/01/21 14:42:40  gotar
- don't try to package missing eview manpages without GUI

Revision 1.540  2011/01/10 14:46:45  glen
- up to 7.3.099

Revision 1.539  2011/01/03 13:52:21  glen
- autoup to 7.3.094

Revision 1.538  2011/01/02 20:57:40  glen
- merge -gzhelp.patch into -vimrc.patch

Revision 1.537  2010/12/27 14:48:13  glen
- 7.3.089

Revision 1.536  2010/12/09 11:18:54  glen
- (auto)up to 7.3.081

Revision 1.535  2010/12/03 22:27:41  adamg
- updated to 7.3.075

Revision 1.534  2010/11/25 09:13:56  glen
- up to 7.3.069

Revision 1.533  2010/11/11 14:18:35  glen
- up to 7.3.055

Revision 1.532  2010/11/04 11:18:09  glen
- up to 7.3.050

Revision 1.531  2010/10/31 11:28:21  glen
- recognize *.phpt

Revision 1.530  2010/10/28 06:06:11  glen
- up to 7.3.047

Revision 1.529  2010/10/25 12:42:32  glen
- up to 7.3.035

Revision 1.528  2010/10/14 05:16:25  wrobell
- ver. 7.3.027

Revision 1.527  2010/10/05 07:23:46  glen
- up to 7.3.019

Revision 1.526  2010/08/22 09:29:23  glen
- up to 7.3.003, rel macro is back, not to increment epoch accidentally

Revision 1.525  2010/08/21 10:10:16  glen
- add bj (Benin not blowjob) to tutor

Revision 1.524  2010/08/19 08:12:16  arekm
- release 4

Revision 1.523  2010/08/19 07:52:05  baggins
- rel 3
- glibc fixed, hacks not needed anymore

Revision 1.522  2010/08/17 21:37:42  adamg
- drop ko.utf-8 locale; release 2

Revision 1.521  2010/08/17 10:38:28  adamg
- cleanups (SourceX renumbering)

Revision 1.520  2010/08/17 10:29:43  adamg
- release 1

Revision 1.519  2010/08/17 10:26:54  adamg
- updated to 7.3 (-extra and -lang merged into main tarball)
- -relativenumber.patch merged upstream

Revision 1.518  2010/08/16 12:48:37  baggins
- rel 5
- added TODO

Revision 1.517  2010/08/16 12:35:17  baggins
- fix magic regexp

Revision 1.516  2010/08/16 12:28:47  baggins
- hack around glibc brokeness wrt static linking and nss

Revision 1.515  2010/07/09 11:25:46  arekm
- release 4

Revision 1.514  2010/07/04 07:19:56  adamg
- updated to 7.2.444

Revision 1.513  2010/06/06 08:53:00  arekm
- release 3

Revision 1.512  2010/05/17 17:49:17  glen
- wide ncurses/tinfo only for th

Revision 1.511  2010/05/17 16:55:31  arekm
- rel 2; link with wide ncurses/tinfo

Revision 1.510  2010/05/17 15:01:59  arekm
- up to 7.2.436

Revision 1.509  2010/05/13 18:37:45  arekm
- up to 7.2.422

Revision 1.508  2010/05/08 23:04:05  glen
- up to 7.2.416

Revision 1.507  2010/04/28 20:02:28  arekm
- release 4

Revision 1.506  2010/04/28 19:46:54  arekm
- don't suggest syntax-spec. It should be somewhere around rpm-build-tools etc

Revision 1.505  2010/04/19 16:02:12  glen
- allow multiple underscores in user (and system) variables like @@tmp_table_size

Revision 1.504  2010/04/15 12:10:43  arekm
- release 3

Revision 1.503  2010/04/07 06:03:40  glen
- release 2

Revision 1.502  2010/04/07 06:02:17  glen
- up to 7.2.411
- add gui bcond to disable all gui builds
- package datadir/vim/ftdetect

Revision 1.501  2010/03/16 19:06:04  glen
- recognize files in /lib/udev/rules

Revision 1.500  2010/03/14 20:45:44  arekm
- up to 7.2.394; ruby1.9 support seems to be in new patches

Revision 1.499  2010/03/01 12:47:38  baggins
- rel 4
- ruby 1.9 has headers in proper place

Revision 1.498  2010/03/01 12:09:42  baggins
- rel 3

Revision 1.497  2010/02/28 00:24:13  sparky
- avoid warnings about _FORTIFY_SOURCE being redefined

Revision 1.496  2010/02/26 19:56:10  pawelz
- syntax/sshconfig: not every string begining with '#' is comment. Comments
  are only *lines* begining with #.

Revision 1.495  2010/02/25 15:53:31  baggins
- rel 2
- added fsid and sec options to exports syntax

Revision 1.494  2010/02/09 08:19:34  adamg
- updated to 7.2.356

Revision 1.493  2010/01/22 13:25:54  sparky
- BR: pkgconfig

Revision 1.492  2010/01/21 19:17:28  glen
- up to 7.2.344

Revision 1.491  2010/01/18 20:02:09  glen
- install just vim.png to pixmaps dir, kills hicolor icon theme dependency

Revision 1.490  2010/01/12 20:53:13  adamg
- updated to 7.2.330

Revision 1.489  2009/12/20 17:56:22  adamg
- updated to 7.2.320

Revision 1.488  2009/11/17 19:17:49  adamg
- updated to 7.2.302

Revision 1.487  2009/11/07 14:53:28  adamg
- updated to 7.2.284

Revision 1.486  2009/10/20 15:42:41  glen
- release 3

Revision 1.485  2009/10/20 15:39:37  glen
- recognize files in ~/.snmp/mibs, /usr/share/snmp/mibs

Revision 1.484  2009/10/07 20:11:12  glen
- up to 7.2.267

Revision 1.483  2009/09/21 19:12:19  glen
- up to 7.2.262

Revision 1.482  2009/09/21 19:09:41  glen
- consistency with -rt vs -rt-extras

Revision 1.481  2009/09/09 06:33:48  glen
- move gzip reader back to vim-rt package; LP#382089; rel 2

Revision 1.480  2009/09/04 11:20:08  glen
- up to 7.2.245

Revision 1.479  2009/09/04 08:46:51  glen
- release 3

Revision 1.478  2009/07/27 16:58:54  glen
- drop nagios.vim (PITA to maintain two versions), use vim-syntax-nagios

Revision 1.477  2009/07/25 07:21:49  adamg
- updated to 7.2.239

Revision 1.476  2009/07/11 21:22:41  adamg
- updated to 7.2.228

Revision 1.475  2009/07/01 10:05:52  gotar
- cosmetics

Revision 1.474  2009/06/26 20:44:19  adamg
- updated to 7.2.218

Revision 1.473  2009/05/25 06:30:50  glen
- list all vimfiles dirs; rel 2

Revision 1.472  2009/05/25 00:02:04  glen
- up to 7.2.188, package vimfiles dir

Revision 1.471  2009/05/23 16:59:04  glen
- up to 7.2.187

Revision 1.470  2009/05/18 19:21:08  glen
- update to 7.2.170
- drop versioned runtimedir

Revision 1.469  2009/04/29 17:52:53  draenog
- gvim with gtk uses files from vim-rt-extras for functions in toolbar

Revision 1.468  2009/04/26 12:28:40  adamg
- fix locale issues; release 2

Revision 1.467  2009/04/25 09:05:49  adamg
- updated to 7.2.160

Revision 1.466  2009/04/16 00:56:16  glen
- %doc in implicit -doc pkg seems pointless

Revision 1.465  2009/04/16 00:55:01  glen
- put non-common rt to rt-extras
- add compressed docs in -docs subpkg
- gettext translations in system dir
- rel 3

Revision 1.464  2009/04/02 18:07:08  glen
- release 2

Revision 1.463  2009/04/02 16:29:41  glen
- update to 7.2.148

Revision 1.462  2009/03/01 01:54:32  adamg
- updated to 7.2.128

Revision 1.461  2009/02/22 11:24:11  adamg
- updated to 7.1.121

Revision 1.460  2009/02/11 05:39:04  glen
- recognize *.pam,*.pamd

Revision 1.459  2009/02/06 16:51:30  adamg
- updated to 7.2.102

Revision 1.458  2009/01/13 17:16:02  glen
- 7.2.83

Revision 1.457  2008/12/26 11:24:15  adamg
- fixed previos commit msg; release 1

Revision 1.456  2008/12/26 01:52:48  adamg
- updated to 7.2.075

Revision 1.455  2008/12/13 18:31:43  qboosh
- pl fixes

Revision 1.454  2008/12/11 18:38:11  glen
- missing lang code, fix package name

Revision 1.453  2008/12/11 17:08:33  uzsolt
- hu summaries and descs

Revision 1.452  2008/11/12 16:00:25  glen
- release 2

Revision 1.451  2008/11/12 15:59:43  glen
- update to 7.2.40, fix duplicate tutor/tutor

Revision 1.450  2008/11/07 20:53:19  arekm
- release 2

Revision 1.449  2008/10/09 00:17:18  glen
- up to 7.2.25; recognize files starting with <?php as php scripts

Revision 1.448  2008/10/08 15:32:07  arekm
- release 2

Revision 1.447  2008/09/17 14:54:16  glen
- update to 7.2.018

Revision 1.446  2008/09/08 07:42:51  adamg
- updated to 7.2.13

Revision 1.445  2008/08/18 10:39:05  glen
- revert S: vi-editor due dep loop
- update to 7.2.2
- do not enable mouse in default config (keep previous behaviour)

Revision 1.444  2008/08/17 20:51:42  blues
- vim-rt should suggest vi-editor for instalation (or maybe it should be
  required? What is purpose of vim-rt alone?)

Revision 1.443  2008/08/13 11:48:05  glen
- rpm whiteout deps; rel 2

Revision 1.442  2008/08/12 10:35:09  arekm
- don't require/suggests random stuff

Revision 1.441  2008/08/11 22:50:30  adamg
- -relativenumber.patch (:se rnu)

Revision 1.440  2008/08/09 21:08:41  adamg
- --with-modified-by

Revision 1.439  2008/08/09 20:57:44  adamg
- updated to 7.2

Revision 1.438  2008/07/29 10:47:32  glen
- todo about lang

Revision 1.437  2008/07/29 10:43:06  glen
- suggest poldek syntax package

Revision 1.436  2008/07/20 11:45:39  hawk
- fixed 'error: vim-tutor-7.1.330-1: req /usr/share/vim/vim71/tutor not found'

Revision 1.435  2008/07/14 16:17:33  qboosh
- pl for -tutor, lang() fixes

Revision 1.434  2008/07/14 11:48:13  glen
- %lang tags for tutor files

Revision 1.433  2008/07/14 11:01:02  glen
- fix commit message

Revision 1.432  2008/07/14 11:00:24  glen
- update to 7.1.330
- split vimtutor into vim-tutor subpackage

Revision 1.431  2008/06/25 09:52:20  glen
- make compatible to build for ac

Revision 1.430  2008/06/20 17:24:28  adamg
- updated to 7.1.326

Revision 1.429  2008/06/07 19:21:18  adamg
- merge from AC-branch:
  - updated to 7.1.311
  - better link for oceandeep color scheme
  - new color scheme: moria
  - proper path for javascript.vim

Revision 1.428  2008-05-30 05:38:47  glen
- merge from AC-branch:
  - updated to 7.1.305
  - php.vim updated to 0.9.7
  - introduces borland.vim and oceandeep.vim color schemes
  - renumbered syntax / color schemes files
  - vim-heavy / gvim-heavy subpackages (todo done)
  - remove dep loop from vim-rt->vim->vim-rt
  - vimspell requires vim-rt, not vim
  - for applied selinux patch add --disable-selinux
- update bcond description
- fix invalid group
- rel 3

Revision 1.427  2008-04-07 08:48:21  glen
- -rt R: hicolor-icon-theme due dirdeps
- update to 7.1.291

Revision 1.426  2008-03-28 10:49:23  hawk
- release 2

Revision 1.425  2008-03-22 11:18:46  adamg
- updated to 7.1.285
- javascript.vim updated to 0.7.5
- use updated versions of exim.vim (20040206)and php.vim (0.9.6) syntax files
- package /usr/bin/gview (gvim in read-only mode)

Revision 1.424  2008-03-21 23:04:27  glen
- always update desktop db (rebuild with buggy macros too); rel 3

Revision 1.423  2008-03-15 16:19:17  glen
- release 2 (rel 1 for ac)

Revision 1.422  2008-03-14 22:13:24  adamg
- updated to 7.1.278

Revision 1.421  2008-02-16 10:49:56  blues
- vim-plugin-securemodelines should be suggested, not required

Revision 1.420  2008-02-09 11:04:58  glen
- update to 7.1.244, spec syntax separated

Revision 1.419  2008-01-22 13:39:23  glen
- vim-plugin-securemodelines is -rt dep

Revision 1.418  2008-01-21 19:12:57  glen
- update to 7.1.236, add vim-plugin-securemodelines to vim requires

Revision 1.417  2008-01-12 16:13:32  wrobell
- fixed desktop file
- todo cleanup: we have icon already
- rel. 2

Revision 1.416  2008-01-05 09:29:57  adamg
- updated to 7.1.203

Revision 1.415  2007-12-15 23:35:32  qboosh
- added unpackaged files

Revision 1.414  2007-12-04 06:20:43  glen
- up to 7.1.168, drop perl autodeps

Revision 1.413  2007-11-28 08:16:45  arekm
- rel 3

Revision 1.412  2007-11-08 22:50:47  glen
- up to 7.1.154

Revision 1.411  2007/11/07 00:27:20  glen
- rel 2

Revision 1.410  2007/10/22 12:34:36  arekm
- up to patchlevel 145

Revision 1.409  2007/10/10 15:29:11  baggins
- rel 2
- don't use vim features in vimrc if run as vi

Revision 1.408  2007/09/22 10:30:36  glen
- unpackaged files

Revision 1.407  2007/09/22 10:19:01  glen
- adapter

Revision 1.406  2007/09/20 07:55:48  glen
- update to 7.1.116

Revision 1.405  2007/09/06 21:28:53  adamg
- updated to 7.1.100

Revision 1.404  2007/08/12 11:44:34  qboosh
- -rt Obsoletes: gvim-bonobo

Revision 1.403  2007/08/12 11:23:08  wrobell
- updated to vim 7.1.063
- killed bonobo support; not updated for nearly 2 years by us; not updated
  by original author for over 3 years

Revision 1.402  2007/08/12 00:20:25  wrobell
- kill language dependencies as agreed (it seems) on devel list
- rel. 2

Revision 1.401  2007/07/24 10:19:51  adamg
- updated to 7.1.035

Revision 1.400  2007/07/23 12:11:15  glen
- don't downgrade release :)

Revision 1.399  2007/07/23 11:50:56  adamg
- oops; release 1

Revision 1.398  2007/07/23 11:49:13  glen
- use macro

Revision 1.397  2007/07/23 11:31:27  glen
- correct patchlevel

Revision 1.396  2007/07/23 08:53:55  adamg
- updated to 7.1.033
- vim-tutor-lessdeps patch updated (wrt patch 7.0.030)
- bumped rpmbuild(macros) BR to 1.351 (patchset macros)
- release 1

Revision 1.395  2007/06/21 13:22:40  baggins
- rel 4
- don't mouse=a in vimrc (none was default for years, and the change is a RPITA)

Revision 1.394  2007/06/05 15:20:01  czarny
- with python, ruby and tcl by default
- rel 3 for rebuild

Revision 1.393  2007/05/30 18:22:56  arekm
- rel 2

Revision 1.392  2007/05/15 11:10:24  glen
- let gui packages provide gvim

Revision 1.391  2007/05/13 08:22:18  adamg
- zenburn.vim and javascript.vim updated

Revision 1.390  2007/05/13 08:17:26  adamg
- missing patch

Revision 1.389  2007/05/13 08:12:20  adamg
- updated to 7.1
- vim-fstab-uuid.patch already applied

Revision 1.388  2007/05/03 22:50:48  glen
- todo

Revision 1.387  2007/04/30 19:49:08  arekm
- parallel install breaks man pages installation

Revision 1.386  2007/04/30 19:11:32  arekm
- extra tarball is used again for sake of easy patching; up to patchlevel 235

Revision 1.385  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.384  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.383  2006/12/22 18:34:35  glen
- recognize *.cron (from SOURCES) as cron file

Revision 1.382  2006/11/03 21:23:41  adamg
- updated to 7.0.158
- autopaste patch added

Revision 1.381  2006/10/20 14:49:23  glen
- update to 7.0.081 from AC-branch

Revision 1.380  2006/10/20 14:27:48  glen
- recognize UUID= in /etc/fstab

Revision 1.379  2006/10/13 08:18:55  qboosh
- Obsoletes: vim-plugin-multvals

Revision 1.378  2006/10/11 12:02:18  megabajt
- use %update_icon_cache macro

Revision 1.377  2006/10/03 23:45:04  qboosh
- added evim,eview,vimdiff,gvimdiff symlinks
- more man packaging fixes
- separated -spell-en
- hicolor-icon-theme deps (because of post/postun scripts)

Revision 1.376  2006/08/27 06:12:42  adamg
- 7.0.057 and 7.0.065 patches are not needed

Revision 1.375  2006/08/25 13:21:24  glen
- typo

Revision 1.374  2006/08/25 11:29:35  wrobell
- ver. 7.0.066
- build without python by default as python is set as dependency, now :/
  (it seems like cat and mouse game, we have to find the fucking rule)
- python 2.5 required to build

Revision 1.373  2006/08/09 21:57:48  adamg
- updated to 7.0.50

Revision 1.372  2006/08/01 16:36:36  wrobell
- ver. 7.0.42

Revision 1.371  2006/07/31 21:06:14  sparky
- fix for ncurses/tinfo as-needed problem: --with-tlib="ncurses -ltinfo"

Revision 1.370  2006/07/13 08:03:06  adamg
- updated to 7.0.039

Revision 1.369  2006/06/25 11:00:29  adamg
- updated to 7.0.035

Revision 1.368  2006/06/25 08:52:56  freetz
- "merged" manual pages changes from AC-branch, (re)generate icon-cache,
  use macros in gvim-gnome

Revision 1.367  2006/06/21 12:05:48  adamg
- updated to 7.0.022

Revision 1.366  2006/05/26 08:19:53  ankry
- it looks pt-like...

Revision 1.365  2006/05/25 23:04:18  wiget
- anyone know correct lang code for "pseudo-ja" ?

Revision 1.364  2006/05/23 09:24:28  qboosh
- release 3 (non-annoying spec ftplugin)

Revision 1.363  2006/05/21 23:06:58  qboosh
- don't mark spelling stuff with lang() - it's not the same as package localization
  (todo: separate vim-spell-en)

Revision 1.362  2006/05/20 13:43:37  qboosh
- man dirs need fix

Revision 1.361  2006/05/20 13:40:24  qboosh
- more lang files (ga,uk,vi)

Revision 1.360  2006/05/20 12:54:07  qboosh
- post-ispell cleanup

Revision 1.359  2006/05/18 11:34:45  qboosh
- added spell dir to vimfiles tree, release 2

Revision 1.358  2006/05/16 10:25:54  qboosh
- missing dir; and where [....] is pl dictionary?

Revision 1.357  2006/05/15 08:30:12  adamg
- dropped php.vim (included in tarball)
- updated and reenabled -apache.patch and -syntax-fstab.patch

Revision 1.356  2006/05/13 15:09:00  adamg
- updated to patchlevel 017 (excluding 7.0.005 - patch is for -extra)
- dropped -extra (seems there's nothing interesting for us there)
- unpack and include -lang

Revision 1.355  2006/05/09 16:13:14  wolf
- make it upgradeable

Revision 1.354  2006/05/08 10:47:37  arekm
- up to final 7.0

Revision 1.353  2006/04/30 22:43:38  adamg
- apply optional patches at the end
- updated todo

Revision 1.352  2006/04/30 22:26:50  adamg
- renumbered patches
- reenabled vim-po-syntax.patch

Revision 1.351  2006/04/30 22:15:53  adamg
- updated to to 7.0g

Revision 1.350  2006/04/29 12:09:09  glen
- proftpd config files autodetection update

Revision 1.349  2006/04/25 10:19:22  adamg
- updated to 7.0f
- updated javascript.vim to 0.5
- dropped kvim-desktop.patch

Revision 1.348  2006/04/18 14:22:22  adamg
- update -lang and -extra too

Revision 1.347  2006/04/18 13:41:48  adamg
- updated to 7.0e

Revision 1.346  2006/03/30 20:32:49  glen
- complete kvim dropping
- add -extra and -lang back

Revision 1.345  2006/03/30 20:23:22  glen
- add syntax/nagios and ftplugin/spec into main vim-rt paackge

Revision 1.344  2006/03/30 19:01:55  glen
- adapter

Revision 1.343  2006/03/29 21:57:39  arekm
- updated (ispell dropped - there is builtin spell check; drop kvim; it's no
  longer maintainer + broken by design)

Revision 1.342  2006/03/29 21:34:11  arekm
- package more files

Revision 1.341  2006/03/29 19:20:37  arekm
- 7.0 + todolist

Revision 1.340  2006/03/14 21:31:28  baggins
- release 2
- replace javascript syntax with something that highlights

Revision 1.279.2.5  2005/09/20 20:58:53  arekm
- up to .148

Revision 1.279.2.4  2005/08/18 07:21:51  jareq
- fix my mistake

Revision 1.279.2.3  2005/08/17 09:54:12  jareq
- up to 7.0 p131

Revision 1.279.2.2  2005/04/03 15:44:00  arekm
- up to 7.0 p65

Revision 1.279.2.1  2005/03/18 20:23:13  jareq
- updated to 7.0.060 (it's not stable version)
- patches need review

Revision 1.279  2005/03/11 19:51:09  adamg
- updated to 6.3.064

Revision 1.278  2005/02/24 11:21:19  glen
- add TODO

Revision 1.339  2006/03/07 17:39:52  arekm
- up to patchlevel 008

Revision 1.338  2006/03/07 16:57:08  glen
- remove "which" dep from vim-rt, rel 3

Revision 1.337  2006/03/05 12:14:01  glen
- rel 2

Revision 1.336  2006/02/28 10:14:43  adamg
- recognize .php4/.php5 as php scripts

Revision 1.335  2006/01/12 15:28:32  glen
- recognize *.tpl.html as Smarty templates

Revision 1.334  2005/12/30 01:23:59  adamg
- updated to 6.4.006

Revision 1.333  2005/12/26 23:48:35  twittner
- fix ruby BR - ruby -> ruby-devel

Revision 1.332  2005/12/25 00:25:22  glen
- rel 4

Revision 1.331  2005/12/19 15:47:02  glen
- updated apache config file detecting in SOURCES; rel 3

Revision 1.330  2005/12/18 19:03:34  glen
- detect apache2 configs; rel 2

Revision 1.329  2005/12/13 15:51:53  glen
- adapterized (sorted %verify attrs)

Revision 1.328  2005/11/30 15:25:22  adamg
- updated to 6.4.003
- updated php.vim to 1.20 (20051121)
- release 1

Revision 1.327  2005/11/10 13:04:55  glen
- describe why vim-rt needs which and mktemp
- remove bogus es translation

Revision 1.326  2005/10/30 08:14:40  qboosh
- added compiler,indent dirs to vimfiles tree

Revision 1.325  2005/10/29 10:16:59  qboosh
- don't bcond Patch entries

Revision 1.324  2005/10/28 22:13:03  qboosh
- readded (updated) pl.po patch, added pl.po part to selinux patch
- release 2

Revision 1.323  2005/10/25 18:02:55  arekm
- rel 1; kvim is being dropped (no longer maintained - use yzis.spec as kde alternative)

Revision 1.322  2005/10/25 17:52:42  glen
- updated syntax patches

Revision 1.321  2005/10/17 11:25:24  arekm
- up to 6.4.001 (but some todo issues left)

Revision 1.320  2005/10/09 01:49:53  glen
- add various syntax improvements from gentoo

Revision 1.319  2005/10/05 09:08:14  arekm
- rel 2

Revision 1.318  2005/10/05 07:53:18  blues
- removed obsoletes: vi from vim-static

Revision 1.317  2005/10/03 19:42:43  adamg
- updated to patchlevel 90, release 1

Revision 1.316  2005/09/28 11:40:59  blues
- added virtual property to satisfy many possible vim-editors

Revision 1.315  2005/09/27 21:04:53  blues
- vim-rt without vim makes no sense

Revision 1.314  2005/09/20 20:48:51  arekm
- rel 4

Revision 1.313  2005/09/12 11:21:27  glen
- temporarily bconded out patch22 and patch99 sources, as they don't exist in CVS

Revision 1.312  2005/09/09 20:12:35  emes
- updated patches to build with bonobo component

Revision 1.311  2005/09/04 21:38:42  glen
- kvim should be tropped

Revision 1.310  2005/09/04 21:08:33  glen
- kvim build fails parallel make, enforce one job

Revision 1.309  2005/08/27 17:57:38  darekr
- removed setting perms in %install
- sorted %verify flags

Revision 1.308  2005/08/10 10:44:43  saq
- awk.patch for bug#945 (avoid gawk dependency)

Revision 1.307  2005/08/09 17:24:38  baggins
- typo

Revision 1.306  2005/08/09 17:11:23  baggins
- release 2
- fstab syntax update

Revision 1.305  2005/07/29 11:34:54  adamg
- updated to patchlevel 86

Revision 1.304  2005/07/10 12:45:21  glen
- include vimfiles/doc/tags to package

Revision 1.303  2005/07/06 19:46:15  kali
- AMD64 path fixes

Revision 1.302  2005/07/05 21:08:20  arekm
- patchlevel 80.

Revision 1.301  2005/06/18 10:38:01  ankry
- tabs

Revision 1.300  2005/06/18 09:50:12  arekm
- up to patchlevel .78

Revision 1.299  2005/05/01 17:42:58  glen
- must use "||" in %post otherwise false error code is produced
- rel 8
- STBR

Revision 1.298  2005/05/01 10:49:02  qboosh
- updated python bcond desc

Revision 1.297  2005/05/01 10:44:53  glen
- require rpmmacros = 1.210 for %desktop_update macros
- rel 7

Revision 1.296  2005/04/30 18:21:20  wrobell
- update desktop database if /usr/bin/update-desktop-database exists
- enable python support by default - does add no python dependency to vim
  (it seems)
- rel. 6

Revision 1.295  2005/04/28 09:55:01  adamg
- leave only Perl interpreter enabled by default. Now let the thread die.

Revision 1.294  2005/04/27 14:48:14  adamg
- release 4

Revision 1.293  2005/04/27 14:29:10  adamg
- enable Perl/Ruby/Python/Tcl interps by default. For those who
  want to avoid unnecessary deps, there's still vim-static.

Revision 1.292  2005/04/27 06:22:21  speedy
- move icon to vim-rt package

Revision 1.291  2005/04/26 20:25:48  speedy
- release 3 (brrr... )

Revision 1.290  2005/04/26 20:24:16  speedy
- fix %install

Revision 1.289  2005/04/26 18:14:38  speedy
- release 2

Revision 1.288  2005/04/26 17:02:06  speedy
- fix auto/pathdef.c [double \( in Makefile ]
- install icons (vim.png)

Revision 1.287  2005/04/21 14:18:06  wolf
- cut changelog

Revision 1.286  2005/04/19 09:04:25  glen
- merged all .spec file syntaxes to single file and added to SOURCES

Revision 1.285  2005/04/14 17:27:09  freetz
- gtk filechooser patch added

Revision 1.284  2005/04/13 22:37:38  arekm
- fix Patches

Revision 1.283  2005/04/13 22:20:48  arekm
- patch level up to 071

Revision 1.282  2005/04/06 21:31:25  glen
- Obsolete -static package Obsoletes in main package when built without static

Revision 1.281  2005/04/03 14:49:22  arekm
- plevel 68
